Package org.pushingpixels.flamingo.internal.ui.common

# Class CommandButtonUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.ButtonUI
org.pushingpixels.flamingo.internal.ui.common.CommandButtonUI

Direct Known Subclasses:
  `BasicCommandButtonUI`

public abstract class CommandButtonUI extends ButtonUI
UI for command button (`JCommandButton`).

## Constructor Summary

Constructors
Constructor
Description
`CommandButtonUI()`

## Method Summary

Modifier and Type
Method
Description
`abstract Point`
`getKeyTipAnchorCenterPoint()`
`abstract CommandButtonLayoutManager.CommandButtonLayoutInfo`
`getLayoutInfo()`
Returns the layout information for the associated button.

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, createUI, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CommandButtonUI

public CommandButtonUI()

## Method Details

### getLayoutInfo

public abstract CommandButtonLayoutManager.CommandButtonLayoutInfo getLayoutInfo()
Returns the layout information for the associated button.

Returns:
  Layout information for the associated button.

### getKeyTipAnchorCenterPoint

public abstract Point getKeyTipAnchorCenterPoint()